Page MenuHomePhabricator

VE Clickjacking vs Inputbox in editintro
Closed, ResolvedPublic

Description

(I'm apologizing in advance for blaming VE for phishing like behavior)
VE steals users clicks from <inputbox> that appear in MediaWiki:Newarticletext and make it practically non functional.

How to reproduce:

  1. Go to some draft in Hebrew Wikipedia: https://he.wikipedia.org/wiki/%D7%9E%D7%A9%D7%AA%D7%9E%D7%A9:%D7%A2%D7%A8%D7%9F/%D7%98%D7%99%D7%95%D7%98%D7%94?veaction=edit
  2. click on the inputbox (left click only)
  3. Nothing happens. the inputbox doesn't get focus.

Some motivation for using inputbox in editintro:
The inputbox tells the user: you are welcome to create more than one draft with different name (the actual definition for the inputbox appear here: https://he.wikipedia.org/wiki/%D7%95%D7%99%D7%A7%D7%99%D7%A4%D7%93%D7%99%D7%94:%D7%AA%D7%99%D7%90%D7%95%D7%A8_%D7%98%D7%99%D7%95%D7%98%D7%94 )

Event Timeline

eranroz created this task.Apr 8 2016, 12:28 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 8 2016, 12:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Ideally you would write separate VE support for this draft feature - rather than just relying on our generic edit notice support. Edit notices are for showing messages - if you put UI's in there you're going to have a bad time.

  1. I agree that ideally we should have support for drafts feature though there may be other use cases of using ad-hoc inputbox combined with editintro.
  2. It should be possible to declare same functionality in VE and source edit so it should work also with legacy "edit source"
Jdforrester-WMF triaged this task as Low priority.Apr 12 2016, 7:10 PM
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
eranroz closed this task as Resolved.Aug 31 2018, 7:04 PM
eranroz claimed this task.

someone, Somehow, somewhen, has already solved it and it works.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 31 2018, 7:04 PM